com.google.gwt.uibinder.elementparsers

## Class HtmlMessageInterpreter

- java.lang.Object
- - com.google.gwt.uibinder.elementparsers.HtmlMessageInterpreter

All Implemented Interfaces:
  com.google.gwt.uibinder.rebind.XMLElement.Interpreter<java.lang.String>

    public class HtmlMessageInterpreter
    extends java.lang.Object
    implements com.google.gwt.uibinder.rebind.XMLElement.Interpreter<java.lang.String>

Processes elements inside HTML values, which themselves are allowed to contain HTML. That HTML may hold elements with ui:field attributes and computed attributes, which must be replaced by placeholders in the generated message.

### Nested Class Summary

Nested Classes
`static interface` `HtmlMessageInterpreter.PlaceholderInterpreterProvider` Provides instances of `PlaceholderInterpreter`, to allow customized handling of the innards of a msg element.

### Constructor Summary

Constructors
Constructor and Description
`HtmlMessageInterpreter(com.google.gwt.uibinder.rebind.UiBinderWriter uiWriter, HtmlMessageInterpreter.PlaceholderInterpreterProvider phiProvider)` Build a HtmlMessageInterpreter that uses customized placeholder interpreter instances.
`HtmlMessageInterpreter(com.google.gwt.uibinder.rebind.UiBinderWriter uiWriter, java.lang.String ancestorExpression)` Build a normally configured HtmlMessageInterpreter, able to handle put placeholders around dom elements with ui:ph attributes and computed attributes.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `interpretElement(com.google.gwt.uibinder.rebind.XMLElement elem)` Given an XMLElement, return its filtered value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HtmlMessageInterpreter

    public HtmlMessageInterpreter(com.google.gwt.uibinder.rebind.UiBinderWriter uiWriter,
                                  HtmlMessageInterpreter.PlaceholderInterpreterProvider phiProvider)

Build a HtmlMessageInterpreter that uses customized placeholder interpreter instances.

#### HtmlMessageInterpreter

    public HtmlMessageInterpreter(com.google.gwt.uibinder.rebind.UiBinderWriter uiWriter,
                                  java.lang.String ancestorExpression)

Build a normally configured HtmlMessageInterpreter, able to handle put placeholders around dom elements with ui:ph attributes and computed attributes.

### Method Detail

#### interpretElement

    public java.lang.String interpretElement(com.google.gwt.uibinder.rebind.XMLElement elem)
                                      throws UnableToCompleteException

Description copied from interface: `com.google.gwt.uibinder.rebind.XMLElement.Interpreter`
Given an XMLElement, return its filtered value.

Specified by:
  `interpretElement` in interface `com.google.gwt.uibinder.rebind.XMLElement.Interpreter<java.lang.String>`
Throws:
  `UnableToCompleteException` - on error